<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Documento sin t&iacute;tulo</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
</head>

<body>
<table width="950" border="0" align="center">
  <tr>
    <td>
	  <form id="form1" name="form1" method="post" action="svvale.php">
	    <p align="center" class="style7">Productos seleccionados</p>
	    <p align="center">
          <?php
$origen=$_POST['origen'];
$destino=$_POST['destino'];
$solicita=$_POST['solicita'];

if ($origen == $destino)
{
	?>
        <script>
			location.href="main.php?a=31&error=4";
	    </script>
     <?php
}
$clave=$_POST['clave'];
$total= sizeof($clave);
//echo $total." ";

if ($total == '0')
{
	?>
          <script>
	location.href="main.php?a=31&error=1";
	    </script>
          <?php
}
else
{
include ("conexion.php");

echo "<table border=1>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";


echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Cantidad";
echo "</td>";


echo "</tr>";
for($x=0; $x < sizeof($clave); $x++)
{


			$query="SELECT clave,nombre,descripcion FROM productos Where clave='$clave[$x]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

         
echo "<tr align='center'>";

//CONSULTO NOMBRE DE LA PRESENTACION
$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
$idpresen=mysql_result($res1,0,'idPresentacion');

$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
$presen=mysql_result($res2,0,'presentacion');



/*
//IMPRIMO CHECKBOX
echo "<td class='style1'>";
echo "<input name='clave[]' type='checkbox' value='".$fila[0]."' >";
echo "</td>";
*/

//FOR DE LOS CAMPOS BUSCADOS
 for ($i=0;$i< $numero_campos;$i++)
 {

echo "<td class='style1'>";
echo $fila[$i];
echo "</td>";

}


//IMPRIMO PRESENTACION
echo "<td class='style1'>";
echo $presen;
echo "</td>";

//CANTIDAD
echo "<td class='style4'>";
echo "<input type='text' name='cantidad[]' class='cuadrotexto' size='5' maxlength='5' value='0' autocomplete='off'>";

//AGREGARE EL NUEVO INPUT CON LA CLAVE DEL PRODUCTO Y SE CREARA UN NUEVO ARRAY

echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";

echo "</td>";
}
echo "</tr>";
}
echo "</table>";

/*
foreach($_POST['clave'] as $clave)
{
 echo $clave;
}
*/
} 
//Fin del else de checkbox vacio
?>
        </p>
	    <p align="center">
	      <input name="solicita" type="hidden" id="solicita" value="<?php echo $solicita; ?>" />
	      <input name="origen" type="hidden" id="origen" value="<?php echo $origen; ?>" />
	      <input name="destino" type="hidden" id="destino" value="<?php echo $destino; ?>" />
	    </p>
	    <p align="center">
	      <input name="Submit" type="submit" class="boton2" value="Guardar vale" />
        </p>
	  </form>
    </td>
  </tr>
</table>
</body>
</html>
